package hiro.yoshioka.ast.sql;

import hiro.yoshioka.ast.sql.util.ASTEditorTableListHolder;

public interface IDML extends IBasicDL {
	public static int NOTHING = 0;

	public static int COMPLETE = 10;

	public static int FAULT = 20;

	ASTEditorTableListHolder getEditorTableListHolder();

	IDML getDMLObject();

	boolean isSelectStatement();

	boolean beginTransaction();
}